package com.diagbot.facade;

import com.diagbot.client.AiptServiceClient;
import com.diagbot.dto.CalculateDTO;
import com.diagbot.vo.CalculateVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * @Description:
 * @Author:zhaops
 * @time: 2019/4/15 13:45
 */
@Component
public class CalculateFacade {
    @Autowired
    AiptServiceClient aiptServiceClient;

    public CalculateDTO calculate(CalculateVO calculateVO) {
        CalculateDTO calculateDTO = new CalculateDTO();
        calculateDTO.setValue(10D);
        calculateDTO.setUnit("ml/min•1.73m2");
        calculateDTO.setText("肾功能衰竭");
        return calculateDTO;
    }
}
